package com.example.exception;

public class ResourceNotFoundException extends ApiException {
    public ResourceNotFoundException(String message) {
        super(message, 404);
    }
    
    public ResourceNotFoundException(String resourceType, Object id) {
        super(String.format("%s资源未找到，ID: %s", resourceType, id), 404);
    }
} 