package com.example.exception;

import java.util.List;
import java.util.Map;

public class ValidationException extends ApiException {
    private final Map<String, List<String>> errors;
    
    public ValidationException(String message, Map<String, List<String>> errors) {
        super(message, 400);
        this.errors = errors;
    }
    
    public Map<String, List<String>> getErrors() {
        return errors;
    }
} 